#pragma once

#include "xcore_compat.h"

#ifdef __XC__
extern "C" {
#endif

enum{
    BASS_BOOST_SW,
    VOLUME_UP,
    VOLUME_DOWN,
    GET_VU_LEVELS
};

void dsp_thread(chanend_t c_gpio);

void gpio_task(chanend_t c_gpio);

#ifdef __XC__
}
#endif
